#2958 closed enhancement (fixed)

Add some popular benchmark programs to the testsuite

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: unspecified Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Add dhrystone, whetstone and linpack benchmark programs to the testsuite. This may help to evaluate compiler settings, compiler versions and processors.

Change History (9)

comment:1 Changed on Mar 29, 2017 at 6:12:40 AM by Sebastian Huber <sebastian.huber@…>

In 0027682/rtems:

benchmarks: Add benchmark templates

Update #2958.

comment:2 Changed on Mar 29, 2017 at 6:12:53 AM by Sebastian Huber <sebastian.huber@…>

In 317c1f4/rtems:

benchmarks/dhrystone: Import

Import dhrystone sources from:

http://www.netlib.org/benchmark/dhry-c

Update #2958.

comment:3 Changed on Mar 29, 2017 at 6:13:05 AM by Sebastian Huber <sebastian.huber@…>

In 954ca41/rtems:

benchmarks/dhrystone: Port to RTEMS

Update #2958.

comment:4 Changed on Mar 29, 2017 at 6:13:17 AM by Sebastian Huber <sebastian.huber@…>

In 8783660/rtems:

benchmarks/linpack: Import

Import linpack sources from:

http://www.netlib.org/benchmark/linpack-pc.c

Update #2958.

comment:5 Changed on Mar 29, 2017 at 6:13:28 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In 0a16d5f/rtems:

benchmarks/linpack: Port to RTEMS

Close #2958.

comment:6 Changed on Mar 29, 2017 at 6:13:40 AM by Sebastian Huber <sebastian.huber@…>

In 3785f937/rtems:

benchmarks/whetstone: Import

Import whetstone sources from:

http://www.netlib.org/benchmark/whetstone.c

Update #2958.

comment:7 Changed on Mar 29, 2017 at 6:13:52 AM by Sebastian Huber <sebastian.huber@…>

In a1c60b56/rtems:

benchmarks/whetstone: Port to RTEMS

Update #2958.

comment:8 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified

comment:9 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.